Bullet Collision Detection & Physics Library: btGImpactMeshShapePart::TrimeshPrimitiveManager Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btGImpactMeshShapePart::TrimeshPrimitiveManager Class Reference

Trimesh primitive manager. More...

`#include <btGImpactShape.h>`

Inheritance diagram for btGImpactMeshShapePart::TrimeshPrimitiveManager:
[legend]
Collaboration diagram for btGImpactMeshShapePart::TrimeshPrimitiveManager:
[legend]

## Public Member Functions
| TrimeshPrimitiveManager ()
| TrimeshPrimitiveManager (const TrimeshPrimitiveManager &manager)
| TrimeshPrimitiveManager (btStridingMeshInterface *meshInterface, int part)
virtual | ~TrimeshPrimitiveManager ()
void | lock ()
void | unlock ()
virtual bool | is_trimesh () const
| determines if this manager consist on only triangles, which special case will be optimized More...
virtual int | get_primitive_count () const
int | get_vertex_count () const
void | get_indices (int face_index, unsigned int &i0, unsigned int &i1, unsigned int &i2) const
void | get_vertex (unsigned int vertex_index, btVector3 &vertex) const
virtual void | get_primitive_box (int prim_index, btAABB &primbox) const
virtual void | get_primitive_triangle (int prim_index, btPrimitiveTriangle &triangle) const
| retrieves only the points of the triangle, and the collision margin More...
void | get_bullet_triangle (int prim_index, btTriangleShapeEx &triangle) const
Public Member Functions inherited from btPrimitiveManagerBase
virtual | ~btPrimitiveManagerBase ()
virtual bool | is_trimesh () const =0
| determines if this manager consist on only triangles, which special case will be optimized More...
virtual int | get_primitive_count () const =0
virtual void | get_primitive_box (int prim_index, btAABB &primbox) const =0
virtual void | get_primitive_triangle (int prim_index, btPrimitiveTriangle &triangle) const =0
| retrieves only the points of the triangle, and the collision margin More...

## Public Attributes
btScalar | m_margin
btStridingMeshInterface * | m_meshInterface
btVector3 | m_scale
int | m_part
int | m_lock_count
const unsigned char * | vertexbase
int | numverts
PHY_ScalarType | type
int | stride
const unsigned char * | indexbase
int | indexstride
int | numfaces
PHY_ScalarType | indicestype

## Detailed Description

Trimesh primitive manager.

Manages the info from btStridingMeshInterface object and controls the Lock/Unlock mechanism

Definition at line 509 of file btGImpactShape.h.

## Constructor & Destructor Documentation

## ◆ TrimeshPrimitiveManager() [1/3]

btGImpactMeshShapePart::TrimeshPrimitiveManager::TrimeshPrimitiveManager | ( |  | ) |
| inline

Definition at line 526 of file btGImpactShape.h.

## ◆ TrimeshPrimitiveManager() [2/3]

btGImpactMeshShapePart::TrimeshPrimitiveManager::TrimeshPrimitiveManager | ( | const TrimeshPrimitiveManager & | manager | ) |
| inline

Definition at line 541 of file btGImpactShape.h.

## ◆ TrimeshPrimitiveManager() [3/3]

btGImpactMeshShapePart::TrimeshPrimitiveManager::TrimeshPrimitiveManager | ( | btStridingMeshInterface * | meshInterface,
|  | int | part
| ) |  |
| inline

Definition at line 557 of file btGImpactShape.h.

## ◆ ~TrimeshPrimitiveManager()

virtual btGImpactMeshShapePart::TrimeshPrimitiveManager::~TrimeshPrimitiveManager | ( |  | ) |
| inlinevirtual

Definition at line 573 of file btGImpactShape.h.

## Member Function Documentation

## ◆ get_bullet_triangle()

void btGImpactMeshShapePart::TrimeshPrimitiveManager::get_bullet_triangle | ( | int | prim_index,
|  | btTriangleShapeEx & | triangle
| ) |  | const
| inline

Definition at line 680 of file btGImpactShape.h.

## ◆ get_indices()

void btGImpactMeshShapePart::TrimeshPrimitiveManager::get_indices | ( | int | face_index,
|  | unsigned int & | i0,
|  | unsigned int & | i1,
|  | unsigned int & | i2
| ) |  | const
| inline

Definition at line 617 of file btGImpactShape.h.

## ◆ get_primitive_box()

virtual void btGImpactMeshShapePart::TrimeshPrimitiveManager::get_primitive_box | ( | int | prim_index,
|  | btAABB & | primbox
| ) |  | const
| inlinevirtual

Implements btPrimitiveManagerBase.

Definition at line 661 of file btGImpactShape.h.

## ◆ get_primitive_count()

virtual int btGImpactMeshShapePart::TrimeshPrimitiveManager::get_primitive_count | ( |  | ) | const
| inlinevirtual

Implements btPrimitiveManagerBase.

Definition at line 607 of file btGImpactShape.h.

## ◆ get_primitive_triangle()

virtual void btGImpactMeshShapePart::TrimeshPrimitiveManager::get_primitive_triangle | ( | int | prim_index,
|  | btPrimitiveTriangle & | triangle
| ) |  | const
| inlinevirtual

retrieves only the points of the triangle, and the collision margin

Implements btPrimitiveManagerBase.

Definition at line 670 of file btGImpactShape.h.

## ◆ get_vertex()

void btGImpactMeshShapePart::TrimeshPrimitiveManager::get_vertex | ( | unsigned int | vertex_index,
|  | btVector3 & | vertex
| ) |  | const
| inline

Definition at line 643 of file btGImpactShape.h.

## ◆ get_vertex_count()

int btGImpactMeshShapePart::TrimeshPrimitiveManager::get_vertex_count | ( |  | ) | const
| inline

Definition at line 612 of file btGImpactShape.h.

## ◆ is_trimesh()

virtual bool btGImpactMeshShapePart::TrimeshPrimitiveManager::is_trimesh | ( |  | ) | const
| inlinevirtual

determines if this manager consist on only triangles, which special case will be optimized

Implements btPrimitiveManagerBase.

Definition at line 602 of file btGImpactShape.h.

## ◆ lock()

void btGImpactMeshShapePart::TrimeshPrimitiveManager::lock | ( |  | ) |
| inline

Definition at line 575 of file btGImpactShape.h.

## ◆ unlock()

void btGImpactMeshShapePart::TrimeshPrimitiveManager::unlock | ( |  | ) |
| inline

Definition at line 589 of file btGImpactShape.h.

## Member Data Documentation

## ◆ indexbase

const unsigned char* btGImpactMeshShapePart::TrimeshPrimitiveManager::indexbase

Definition at line 521 of file btGImpactShape.h.

## ◆ indexstride

int btGImpactMeshShapePart::TrimeshPrimitiveManager::indexstride

Definition at line 522 of file btGImpactShape.h.

## ◆ indicestype

PHY_ScalarType btGImpactMeshShapePart::TrimeshPrimitiveManager::indicestype

Definition at line 524 of file btGImpactShape.h.

## ◆ m_lock_count

int btGImpactMeshShapePart::TrimeshPrimitiveManager::m_lock_count

Definition at line 516 of file btGImpactShape.h.

## ◆ m_margin

btScalar btGImpactMeshShapePart::TrimeshPrimitiveManager::m_margin

Definition at line 512 of file btGImpactShape.h.

## ◆ m_meshInterface

btStridingMeshInterface* btGImpactMeshShapePart::TrimeshPrimitiveManager::m_meshInterface

Definition at line 513 of file btGImpactShape.h.

## ◆ m_part

int btGImpactMeshShapePart::TrimeshPrimitiveManager::m_part

Definition at line 515 of file btGImpactShape.h.

## ◆ m_scale

btVector3 btGImpactMeshShapePart::TrimeshPrimitiveManager::m_scale

Definition at line 514 of file btGImpactShape.h.

## ◆ numfaces

int btGImpactMeshShapePart::TrimeshPrimitiveManager::numfaces

Definition at line 523 of file btGImpactShape.h.

## ◆ numverts

int btGImpactMeshShapePart::TrimeshPrimitiveManager::numverts

Definition at line 518 of file btGImpactShape.h.

## ◆ stride

int btGImpactMeshShapePart::TrimeshPrimitiveManager::stride

Definition at line 520 of file btGImpactShape.h.

## ◆ type

PHY_ScalarType btGImpactMeshShapePart::TrimeshPrimitiveManager::type

Definition at line 519 of file btGImpactShape.h.

## ◆ vertexbase

const unsigned char* btGImpactMeshShapePart::TrimeshPrimitiveManager::vertexbase

Definition at line 517 of file btGImpactShape.h.

The documentation for this class was generated from the following file:

- btGImpactShape.h